#include <iostream>

using namespace std;

int n;
int niz[17]={};

int isBit(int num, int bit)
{
    return (num>>bit)&1;
}

int andAll()
{
   int res;
   res=niz[0];
   for(int i=1;i<n;i++)res = res & niz[i];
   return res;
}

int xorAll()
{
   int res;
   res=niz[0];
   for(int i=1;i<n;i++)res = res^niz[i];
   return res;
}

int main()
{
    cin>>n;

    for(int i=0;i<n;i++)
    {
        cin>>niz[i];
    }

    for(int k=1;k<=10;k++)
    {
        for(int i=0;i<n;i++)
        {
            niz[i]+=1;
            if(andAll()+xorAll()>=2)
            {
                cout<<1<<endl;
                return 0;
            }
            niz[i]-=1;
        }
        for(int i=0;i<n;i++)
        {
            if(niz[i]>0)
            {
                niz[i]-=1;
                if(andAll()+xorAll()>=2)
                {
                    cout<<1<<endl;
                    return 0;
                }
                niz[i]+=1;
            }
        }
    }



}